#pragma once
#include "DeerRender/Components.h"
#include "DeerRender/Render/Texture.h"

#include <string>
#include <vector>

namespace Deer {
	struct TextureBinding {
		std::string texturePath;
		unsigned char bindingID;

		TextureBinding() = default;
		TextureBinding(std::string _texturePath, unsigned char _bindingID) : texturePath(_texturePath), bindingID(_bindingID) {}
	};

	template <class Archive>
	void serialize(Archive& archive,
	               TextureBinding& textureBinding) {

		archive(cereal::make_nvp("texturePath", textureBinding.texturePath));
		archive(cereal::make_nvp("bindingID", textureBinding.bindingID));
	}

} // namespace Deer